RubyGems Navigation menu

commander 4.5.2

The complete solution for Ruby command-line executables. Commander bridges the gap between other terminal related libraries you know and love (OptionParser, HighLine), while providing many new features, and an elegant API.

Versions:

  1. 4.5.2 - March 12, 2020 (37 KB)
  2. 4.5.1 - March 08, 2020 (37 KB)
  3. 4.5.0 - January 21, 2020 (36.5 KB)
  4. 4.4.7 - October 22, 2018 (36.5 KB)
  5. 4.4.6 - August 01, 2018 (36 KB)
Show all versions (38 total)

Runtime Dependencies (1):

  • highline ~> 2.0.0
  • Development Dependencies (4):

  • rake >= 0
  • rspec ~> 3.2
  • rubocop ~> 0.49.1
  • simplecov >= 0
  • Owners:

    Pushed by:

    Authors:

    • TJ Holowaychuk, Gabriel Gilder

    SHA 256 checksum:

    2c0746b01be9cfbbbf929d154a9bae0a224954c98b8e2b2f35b51984a6258f8c

    Total downloads 11,758,612

    For this version 624,245

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 0

    Links: